cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
FrediG
Level 4

FNMS 2021R1 - New Installation - SQL script fail with

Jump to solution

I am busy with setting up a new On-Prem FNMS solution. When I run the SQL script to create the Compliance DB it fails with the following error:

There was an error while attempting to run 'ComplianceProcedure.sql'. Cannot continue the execution because the session is in the kill state.

mgsDatabaseCreate -a WindowsNT -s DBserver-name\instance name -d
FNMSInventory -i InventoryManagerDatabaseCreation.xml - Successful

mgsDatabaseCreate -a WindowsNT -s DBserver-name\instance name -d
FNMSCompliance -i ManageSoftDatabaseCreation.xml - Successful

mgsDatabaseCreate -a WindowsNT -s DBserver-name\instance name -d
FNMSCompliance -i ComplianceDatabaseCreation.xml - Failed

0 Kudos
1 Solution
JJacildo
Level 5 Flexeran
Level 5 Flexeran

In our documentation, it mentioned that  If you are using Microsoft SQL Server 2016, ensure that at least SP1 has been installed. This update
addresses a defect in SQL Server that triggers a fatal error, as documented in https://support.microsoft.com/en-au/
help/3173976/fix-fatal-error-when-you-run-a-query-against-the-sys-sysindexes-view-in-sql-server-2016. 

Also if you manage to finish the db setup might consider checking this one as well for SQL server 2016
https://community.flexera.com/t5/FlexNet-Manager-Knowledge-Base/quot-Execution-Timeout-Expired-quot-error-with-FlexNet-Manager/ta-p/186919

View solution in original post

0 Kudos
5 Replies
durgeshsing
Level 8

Please share SQL logs to check further.

0 Kudos
kclausen
Level 14 Flexeran
Level 14 Flexeran

@FrediG - You likely have not set all of the documented requirements for SQL Server 2017/2019.  See the following KB Article for more details:

https://community.flexera.com/t5/FlexNet-Manager-Knowledge-Base/Requirements-for-hosting-FlexNet-Manager-Suite-databases-on-SQL/ta-p/169557

 

0 Kudos

Hi,

I am running SQL Server 2016. 

0 Kudos
kclausen
Level 14 Flexeran
Level 14 Flexeran

For SQL Server 2016:
1) Make sure that CLR is enabled
2) A minimum of SQL Server 2016 Service Pack 1 must be installed

May also want to see if you get feedback from other community members.

0 Kudos
JJacildo
Level 5 Flexeran
Level 5 Flexeran

In our documentation, it mentioned that  If you are using Microsoft SQL Server 2016, ensure that at least SP1 has been installed. This update
addresses a defect in SQL Server that triggers a fatal error, as documented in https://support.microsoft.com/en-au/
help/3173976/fix-fatal-error-when-you-run-a-query-against-the-sys-sysindexes-view-in-sql-server-2016. 

Also if you manage to finish the db setup might consider checking this one as well for SQL server 2016
https://community.flexera.com/t5/FlexNet-Manager-Knowledge-Base/quot-Execution-Timeout-Expired-quot-error-with-FlexNet-Manager/ta-p/186919

0 Kudos